Portant Docs

Outgoing webhook

Un OutgoingWebhook rappresenta la configurazione di un endpoint esterno a cui vengono inviati gli eventi di automazione. "Outgoing" indica gli eventi che escono dalla piattaforma Portant verso una destinazione esterna.

Per i dettagli sugli eventi inviati da Portant, consultare Listen to events from Portant via webhooks.

Fields (Campi)

FieldTypeDescription
idStringL'ID della configurazione dell'outgoing webhook.
webhookUrlStringL'indirizzo webhook a cui gli eventi verranno inviati tramite POST.

Example (Esempio)

{
    "id": "owc_XY1Ys4gqrpX8cp",
    "webhookUrl": "https://webhook.site/d22c56ab-40ac-4f9a-93ef-02520235c0da"
},

Endpoints

Get an outgoing webhook (Recuperare un outgoing webhook)

GET /workflows/<wkf_id>/outgoing-webhooks/

Recupera la configurazione dell'outgoing webhook per un workflow specifico.

Responses (Risposte)

Status Body
200 OK OutgoingWebhook
403 Unauthorised Error

Create an outgoing webhook (Creare un outgoing webhook)

POST /workflows/<wkf_id>/outgoing-webhooks/

Crea la configurazione dell'outgoing webhook per un workflow specifico.

Request (Richiesta)

Il corpo deve contenere un unico campo webhookUrl con l'URL a cui si desidera ricevere gli eventi.

{
    webhookUrl: "https://..."
}

Responses (Risposte)

Status Body
201 Created OutgoingWebhook
400 Bad Request Error
403 Unauthorised Error

Update an outgoing webhook (Aggiornare un outgoing webhook)

PATCH /workflows/<wkf_id>/outgoing-webhooks/

Aggiorna la configurazione dell'outgoing webhook per un workflow specifico.

Request (Richiesta)

Il corpo deve contenere un unico campo webhookUrl con l'URL a cui si desidera ricevere gli eventi.

{
    webhookUrl: "https://..."
}

Responses (Risposte)

Status Body
200 OK OutgoingWebhook
400 Bad Request Error
403 Unauthorised Error